Show / Hide Table of Contents

# Class QueryExecuteParams

Parameters for the query execute request

##### Inheritance

System.Object
QueryExecuteParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class QueryExecuteParams

### Properties

| Improve this Doc View Source

#### OwnerUri

URI for the editor that is asking for the query execute

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### QuerySelection

The selection from the document

##### Declaration

    public SelectionData QuerySelection { get; set; }

##### Property Value

Type | Description
--- | ---
SelectionData |